You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
Carsten Haitzler 280482a5a8 oops. leak. fix. :) 22 years ago
client * make it more split upo (better in this case) 22 years ago
data Enabled the Alt-Tab action, and fixed border.c so that the action works 22 years ago
debian vanquish more evil 22 years ago
intl Committing gettext's files ... 22 years ago
lib Stuff I forgot ... 22 years ago
po no need for ferite. fun. 22 years ago
src oops. leak. fix. :) 22 years ago
.cvsignore Stuff I forgot ... 22 years ago
AUTHORS Okay Raster, don't shoot me. I've cleaned up the whole thing. I've 22 years ago
COPYING e 0.17 ...... :) 22 years ago
ChangeLog e 0.17 ...... :) 22 years ago
INSTALL Sorry guys.. I had to revert a bunch of changes.. that's life.. but READ the 22 years ago
Makefile.am * fix apps menu 22 years ago
NEWS e 0.17 ...... :) 22 years ago
README been working offline.. wheeeheee! :) 22 years ago
acconfig.h no need for ferite. fun. 22 years ago
acinclude.m4 acsite.m4 -> acinclude.m4 22 years ago
autogen.sh borders moved around. much cleaner way of selecting borders now 22 years ago
config.h.in been working offline.. wheeeheee! :) 22 years ago
configure.ac been working offline.. wheeeheee! :) 22 years ago
configure.in been working offline.. wheeeheee! :) 22 years ago
e.spec change version to be a pre instead of a .0 - cause it isnt 0.17.0 at all 22 years ago

README

+-----------------------------------------------------------------------------+
| Enlightenment 0.17.pre CVS Code.... |
+-----------------------------------------------------------------------------+
The Rasterman - raster@rasterman.com

*******************************************************************************
**************** READ THIS! It is of the UTMOST IMPORTANCE! *******************
*******************************************************************************

This is the source code for Enlightenment 0.17 - If you got this you got it
from Enlightenment's CVS repository - or from someone who took it out of the
CVS repository.

The CVS repository is full of code *IN DEVELOPMENT* - that often means it's
in the middle of being worked on and may install strange things in strange
places, make a mess, and may not even be compatible with a final release. If
you at all use this code, you are HEAVILY URGED, when it is finally released,
to remove all traces of anything this CVS code base has installed on your
system (it is COMPLETELY up to you to keep track of that - do NOT expect any
help), and then install the full release on a cleaned system. Don't come
asking "can I just keep using CVS" once things are released - that is the
reason I put this paragraph here - so you don't ask. The answer is the same
as above - if there is a proper final release use that. CVS is really only
for those heavily hacking on the code, or whose curiosity is too much to resist
not giving it a look and try.

Now we have that warning over and done with. How to build and install from
CVS?

$ ./autogen.sh && make
$ su
Password:
<- as root ->
# make install

You should be able to use the binary of enlightenment as a window manager.

you might be advised for cleanliness to do
$ ./autogen.sh --prefix=/usr/local/e-17

so it installs relative to the /usr/local/e-17 directory and keeps all the
e-17 development code and data in that tree so it is easily removed when the
time comes.

-------------------------------------------------------------------------------

NOTES: Read these carefully!

Enlightenment only handles a small subset of ICCCM and thus will have bugs -
some applications will not behave correctly and may appear in odd spots or
not resize or place themselves properly etc. Expect this - it's code being
worked on. Just be happy it does as much as it already does.

Enlightenment RELIES on lots of libraires that have been written. Ecore,
Ebits, Evas, Edb, Imlib2, Efsd just to mention a few. Especially Ebits,
Ecore, Efsd, Ferite, and Evas change in CVS often - you will need the absolute
latest of these if you wish Enlightenment 0.17 code to run properly or compile.
If you update Enlightenment from CVS update these too to get any changes they
have in their trees.

If you want to compile & install E 0.17 you probably install the packages
Enlightenment needs in this order:

(*) imlib2
(*) edb
(*) imlib2_loaders
(*) evas
(*) ebits
(*) ecore
(*) efsd
(*) ferite (optional for now, but recommended)
(*) e17

since you got Enlightenment from CVS (if you didn't you should have) you must
get all of the above from CVS - because the libraries Enlightenment depends on
keep being updated as bugs are found and new features needed - and often they
are not released for a while until things settle down, so make sure you get
the latest of these from CVS.

before you start installing the some of the above, some of the packages you
will need - if you don't already have them, are:

(*) freetype (1.1, 1.2 or 1.3 ... NOT 2.0)
(*) libxml2
(*) libpcre
(*) fam

and possibly ...

(*) libjpeg
(*) libpng
(*) zlib
(*) libtiff
(*) libungif